Subject: Re: linux-next: Tree for November 17 (exofs)

From: Boaz Harrosh <[email-masked]>
Date: Tue, 17 Nov 2009 19:24:22 +0200

On 11/17/2009 07:10 PM, Boaz Harrosh wrote:
> On 11/17/2009 07:08 PM, Boaz Harrosh wrote:
>> On 11/17/2009 07:02 PM, Randy Dunlap wrote:
>>> On Tue, 17 Nov 2009 19:53:09 +1100 Stephen Rothwell wrote:
>>>
>>>> Hi all,
>>>>
>>>> Changes since 20091116:
>>>
>>>
>>> on i386 (X86_32):
>>>
>>> fs/built-in.o: In function `exofs_sbi_read':
>>> (.text+0x592964): undefined reference to `__umoddi3'
>>>
>>> ---
>>> ~Randy
>>
>> exofs_sbi_read is a totally simple loop thing. What does the
>> __umoddi3 means? Please help?
>>
>> Boaz
> 
> OK I think I get it. It's that u64 mod (%) operation. I'll try to
> find a ready made macro for that. Sorry
> 
> Boaz
> 

I'll push this fix for tomorrow. Thanks for helping me find it.

4G devices is more than enough thank you ;-)

Boaz
---
git diff --stat -p -M fs/exofs/ios.c
 fs/exofs/ios.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/fs/exofs/ios.c b/fs/exofs/ios.c
index 14b2600..5bad01f 100644
--- a/fs/exofs/ios.c
+++ b/fs/exofs/ios.c
@@ -320,8 +320,9 @@ int exofs_sbi_read(struct exofs_io_state *ios)
 
 	for (i = 0; i < 1; i++) {
 		struct osd_request *or;
-		unsigned first_dev = ios->obj.id % ios->sbi->s_numdevs;
+		unsigned first_dev = (unsigned)ios->obj.id;
 
+		first_dev %= ios->sbi->s_numdevs;
 		or = osd_start_request(ios->sbi->s_ods[first_dev], GFP_KERNEL);
 		if (unlikely(!or)) {
 			EXOFS_ERR("%s: osd_start_request failed\n", __func__);